D Programming Language 2.0

Last update Wed Aug 1 09:43:26 2012

# std.metastrings

Templates with which to do compile-time manipulation of strings.

License:
Boost License 1.0.

Authors:
Walter Bright, Don Clugston

Source:
std/metastrings.d

template Format(A...)
  Formats constants into a string at compile time. Analogous to std.string.format.

  Parameters:
  A = tuple of constants, which can be strings, characters, or integral values.

  Formats:
  The formats supported are %s for strings, and %% for the % character.

  Example:

      import std.metastrings;
      import std.stdio;

      void main()
      {
        string s = Format!("Arg %s = %s", "foo", 27);
        writefln(s); // "Arg foo = 27"
      }

template toStringNow(ulong v)
template toStringNow(long v)
template toStringNow(uint U)
template toStringNow(int I)
template toStringNow(bool B)
template toStringNow(string S)
template toStringNow(char C)
  Convert constant argument to a string.

template parseUinteger(const(char)[] s)
  Parse unsigned integer literal from the start of string s.

  Returns:
  .value = the integer literal as a string, .rest = the string following the integer literal

  Otherwise:
  .value = null, .rest = s

template parseInteger(const(char)[] s)
  Parse integer literal optionally preceded by '-' from the start of string s.

  Returns:
  .value = the integer literal as a string, .rest = the string following the integer literal

  Otherwise:
  .value = null, .rest = s

Copyright Digital Mars 2007 - 2009. | Page generated by Ddoc.